#include <stdio.h>
#include <string.h>

int main()
{
    char t[200000];
    char m[20];
    int br=0;
    scanf("%s%s",t,m);
    for (int i=0;i<strlen(t);i++) if (t[i]=='a') br++;
    printf("%d\n",br-strlen(m)+1);
    br=0;
    for (int i=0;i<strlen(t);i++)
    {
        if (t[i]=='a')
        {
            br++;
            if (br>=strlen(m)) printf("*");
            else printf("a");
        }
        else printf("%c",t[i]);
    }
}